using System;
using Moon.Orm;
using System.Collections.Generic;
namespace MoonDB{
public class tb_LoginSet:EntityBase{
	public tb_LoginSet():base(){
	SetEntityName("[tb_LoginSet]");
	SetFieldsCount(3);
	SetPrimaryField(tb_LoginSetTable._id);
	SetIsSystemSetPrimaryKey(true);
	}
	private Boolean  __needLogin;
	public Boolean _needLogin{
	get{return __needLogin;}
	set{
		__needLogin=value;
		if (this.FieldsChangedDictionary.ContainsKey("[_needLogin]")==false)
			{this.FieldsChangedDictionary.Add("[_needLogin]",value);}		
}
	}
	private Boolean  __cancelPower;
	public Boolean _cancelPower{
	get{return __cancelPower;}
	set{
		__cancelPower=value;
		if (this.FieldsChangedDictionary.ContainsKey("[_cancelPower]")==false)
			{this.FieldsChangedDictionary.Add("[_cancelPower]",value);}		
}
	}
	private Int64  __id;
	public Int64 _id{
	get{return __id;}
	set{
		__id=value;
		if (this.FieldsChangedDictionary.ContainsKey("[_id]")==false)
			{this.FieldsChangedDictionary.Add("[_id]",value);}		
}
	}
}

public class tb_LoginSetTable{
	public static readonly Field _needLogin=new Field("[_needLogin]",false);
	public static readonly Field _cancelPower=new Field("[_cancelPower]",false);
	public static readonly Field _id=new Field("[_id]",true);
	static tb_LoginSetTable(){
		_needLogin.TableName="[tb_LoginSet]";
		_cancelPower.TableName="[tb_LoginSet]";
		_id.TableName="[tb_LoginSet]";
	}
}

public class tb_UserInfo:EntityBase{
	public tb_UserInfo():base(){
	SetEntityName("[tb_UserInfo]");
	SetFieldsCount(3);
	SetPrimaryField(tb_UserInfoTable._userName);
	SetIsSystemSetPrimaryKey(false);
	}
	private String  __userName;
	public String _userName{
	get{return __userName;}
	set{
		__userName=value;
		if (this.FieldsChangedDictionary.ContainsKey("[_userName]")==false)
			{this.FieldsChangedDictionary.Add("[_userName]",value);}		
}
	}
	private String  __passWord;
	public String _passWord{
	get{return __passWord;}
	set{
		__passWord=value;
		if (this.FieldsChangedDictionary.ContainsKey("[_passWord]")==false)
			{this.FieldsChangedDictionary.Add("[_passWord]",value);}		
}
	}
	private Boolean  __isSuperMgr;
	public Boolean _isSuperMgr{
	get{return __isSuperMgr;}
	set{
		__isSuperMgr=value;
		if (this.FieldsChangedDictionary.ContainsKey("[_isSuperMgr]")==false)
			{this.FieldsChangedDictionary.Add("[_isSuperMgr]",value);}		
}
	}
}

public class tb_UserInfoTable{
	public static readonly Field _userName=new Field("[_userName]",true);
	public static readonly Field _passWord=new Field("[_passWord]",false);
	public static readonly Field _isSuperMgr=new Field("[_isSuperMgr]",false);
	static tb_UserInfoTable(){
		_userName.TableName="[tb_UserInfo]";
		_passWord.TableName="[tb_UserInfo]";
		_isSuperMgr.TableName="[tb_UserInfo]";
	}
}

public class UserInfo:EntityBase{
	public UserInfo():base(){
	SetEntityName("[UserInfo]");
	SetFieldsCount(5);
	SetPrimaryField(UserInfoTable.id);
	SetIsSystemSetPrimaryKey(true);
	}
	private Int64  _id;
	public Int64 id{
	get{return _id;}
	set{
		_id=value;
		if (this.FieldsChangedDictionary.ContainsKey("[id]")==false)
			{this.FieldsChangedDictionary.Add("[id]",value);}		
}
	}
	private String  _userName;
	public String userName{
	get{return _userName;}
	set{
		_userName=value;
		if (this.FieldsChangedDictionary.ContainsKey("[userName]")==false)
			{this.FieldsChangedDictionary.Add("[userName]",value);}		
}
	}
	private String  _passWord;
	public String passWord{
	get{return _passWord;}
	set{
		_passWord=value;
		if (this.FieldsChangedDictionary.ContainsKey("[passWord]")==false)
			{this.FieldsChangedDictionary.Add("[passWord]",value);}		
}
	}
	private DateTime  _loginTime;
	public DateTime loginTime{
	get{return _loginTime;}
	set{
		_loginTime=value;
		if (this.FieldsChangedDictionary.ContainsKey("[loginTime]")==false)
			{this.FieldsChangedDictionary.Add("[loginTime]",value);}		
}
	}
	private Int16  _powerGrade;
	public Int16 powerGrade{
	get{return _powerGrade;}
	set{
		_powerGrade=value;
		if (this.FieldsChangedDictionary.ContainsKey("[powerGrade]")==false)
			{this.FieldsChangedDictionary.Add("[powerGrade]",value);}		
}
	}
}

public class UserInfoTable{
	public static readonly Field id=new Field("[id]",true);
	public static readonly Field userName=new Field("[userName]",false);
	public static readonly Field passWord=new Field("[passWord]",false);
	public static readonly Field loginTime=new Field("[loginTime]",false);
	public static readonly Field powerGrade=new Field("[powerGrade]",false);
	static UserInfoTable(){
		id.TableName="[UserInfo]";
		userName.TableName="[UserInfo]";
		passWord.TableName="[UserInfo]";
		loginTime.TableName="[UserInfo]";
		powerGrade.TableName="[UserInfo]";
	}
}

public class ProjectTree:EntityBase{
	public ProjectTree():base(){
	SetEntityName("[ProjectTree]");
	SetFieldsCount(3);
	SetPrimaryField(ProjectTreeTable.location);
	SetIsSystemSetPrimaryKey(false);
	}
	private String  _location;
	public String location{
	get{return _location;}
	set{
		_location=value;
		if (this.FieldsChangedDictionary.ContainsKey("[location]")==false)
			{this.FieldsChangedDictionary.Add("[location]",value);}		
}
	}
	private String  _nodeName;
	public String nodeName{
	get{return _nodeName;}
	set{
		_nodeName=value;
		if (this.FieldsChangedDictionary.ContainsKey("[nodeName]")==false)
			{this.FieldsChangedDictionary.Add("[nodeName]",value);}		
}
	}
	private String  _parentLocation;
	public String parentLocation{
	get{return _parentLocation;}
	set{
		_parentLocation=value;
		if (this.FieldsChangedDictionary.ContainsKey("[parentLocation]")==false)
			{this.FieldsChangedDictionary.Add("[parentLocation]",value);}		
}
	}
}

public class ProjectTreeTable{
	public static readonly Field location=new Field("[location]",true);
	public static readonly Field nodeName=new Field("[nodeName]",false);
	public static readonly Field parentLocation=new Field("[parentLocation]",false);
	static ProjectTreeTable(){
		location.TableName="[ProjectTree]";
		nodeName.TableName="[ProjectTree]";
		parentLocation.TableName="[ProjectTree]";
	}
}

public class Attachment:EntityBase{
	public Attachment():base(){
	SetEntityName("[Attachment]");
	SetFieldsCount(6);
	SetPrimaryField(AttachmentTable.id);
	SetIsSystemSetPrimaryKey(true);
	}
	private String  _fileName;
	public String fileName{
	get{return _fileName;}
	set{
		_fileName=value;
		if (this.FieldsChangedDictionary.ContainsKey("[fileName]")==false)
			{this.FieldsChangedDictionary.Add("[fileName]",value);}		
}
	}
	private Int64  _codeID;
	public Int64 codeID{
	get{return _codeID;}
	set{
		_codeID=value;
		if (this.FieldsChangedDictionary.ContainsKey("[codeID]")==false)
			{this.FieldsChangedDictionary.Add("[codeID]",value);}		
}
	}
	private Int64  _id;
	public Int64 id{
	get{return _id;}
	set{
		_id=value;
		if (this.FieldsChangedDictionary.ContainsKey("[id]")==false)
			{this.FieldsChangedDictionary.Add("[id]",value);}		
}
	}
	private Decimal  _fileSize;
	public Decimal fileSize{
	get{return _fileSize;}
	set{
		_fileSize=value;
		if (this.FieldsChangedDictionary.ContainsKey("[fileSize]")==false)
			{this.FieldsChangedDictionary.Add("[fileSize]",value);}		
}
	}
	private Byte[]  _fileBinary;
	public Byte[] fileBinary{
	get{return _fileBinary;}
	set{
		_fileBinary=value;
		if (this.FieldsChangedDictionary.ContainsKey("[fileBinary]")==false)
			{this.FieldsChangedDictionary.Add("[fileBinary]",value);}		
}
	}
	private String  _fileExtension;
	public String fileExtension{
	get{return _fileExtension;}
	set{
		_fileExtension=value;
		if (this.FieldsChangedDictionary.ContainsKey("[fileExtension]")==false)
			{this.FieldsChangedDictionary.Add("[fileExtension]",value);}		
}
	}
}

public class AttachmentTable{
	public static readonly Field fileName=new Field("[fileName]",false);
	public static readonly Field codeID=new Field("[codeID]",false);
	public static readonly Field id=new Field("[id]",true);
	public static readonly Field fileSize=new Field("[fileSize]",false);
	public static readonly Field fileBinary=new Field("[fileBinary]",false);
	public static readonly Field fileExtension=new Field("[fileExtension]",false);
	static AttachmentTable(){
		fileName.TableName="[Attachment]";
		codeID.TableName="[Attachment]";
		id.TableName="[Attachment]";
		fileSize.TableName="[Attachment]";
		fileBinary.TableName="[Attachment]";
		fileExtension.TableName="[Attachment]";
	}
}

public class test:EntityBase{
	public test():base(){
	SetEntityName("[test]");
	SetFieldsCount(4);
	SetPrimaryField(testTable.id);
	SetIsSystemSetPrimaryKey(true);
	}
	private Int64  _id;
	public Int64 id{
	get{return _id;}
	set{
		_id=value;
		if (this.FieldsChangedDictionary.ContainsKey("[id]")==false)
			{this.FieldsChangedDictionary.Add("[id]",value);}		
}
	}
	private String  _name;
	public String name{
	get{return _name;}
	set{
		_name=value;
		if (this.FieldsChangedDictionary.ContainsKey("[name]")==false)
			{this.FieldsChangedDictionary.Add("[name]",value);}		
}
	}
	private DateTime  _addTime;
	public DateTime addTime{
	get{return _addTime;}
	set{
		_addTime=value;
		if (this.FieldsChangedDictionary.ContainsKey("[addTime]")==false)
			{this.FieldsChangedDictionary.Add("[addTime]",value);}		
}
	}
	private String  _stuID;
	public String stuID{
	get{return _stuID;}
	set{
		_stuID=value;
		if (this.FieldsChangedDictionary.ContainsKey("[stuID]")==false)
			{this.FieldsChangedDictionary.Add("[stuID]",value);}		
}
	}
}

public class testTable{
	public static readonly Field id=new Field("[id]",true);
	public static readonly Field name=new Field("[name]",false);
	public static readonly Field addTime=new Field("[addTime]",false);
	public static readonly Field stuID=new Field("[stuID]",false);
	static testTable(){
		id.TableName="[test]";
		name.TableName="[test]";
		addTime.TableName="[test]";
		stuID.TableName="[test]";
	}
}

public class CodeInfo:EntityBase{
	public CodeInfo():base(){
	SetEntityName("[CodeInfo]");
	SetFieldsCount(8);
	SetPrimaryField(CodeInfoTable.id);
	SetIsSystemSetPrimaryKey(true);
	}
	private Int64  _id;
	public Int64 id{
	get{return _id;}
	set{
		_id=value;
		if (this.FieldsChangedDictionary.ContainsKey("[id]")==false)
			{this.FieldsChangedDictionary.Add("[id]",value);}		
}
	}
	private String  _treeLocation;
	public String treeLocation{
	get{return _treeLocation;}
	set{
		_treeLocation=value;
		if (this.FieldsChangedDictionary.ContainsKey("[treeLocation]")==false)
			{this.FieldsChangedDictionary.Add("[treeLocation]",value);}		
}
	}
	private String  _codeCaption;
	public String codeCaption{
	get{return _codeCaption;}
	set{
		_codeCaption=value;
		if (this.FieldsChangedDictionary.ContainsKey("[codeCaption]")==false)
			{this.FieldsChangedDictionary.Add("[codeCaption]",value);}		
}
	}
	private String  _useLanguage;
	public String useLanguage{
	get{return _useLanguage;}
	set{
		_useLanguage=value;
		if (this.FieldsChangedDictionary.ContainsKey("[useLanguage]")==false)
			{this.FieldsChangedDictionary.Add("[useLanguage]",value);}		
}
	}
	private String  _introduce;
	public String introduce{
	get{return _introduce;}
	set{
		_introduce=value;
		if (this.FieldsChangedDictionary.ContainsKey("[introduce]")==false)
			{this.FieldsChangedDictionary.Add("[introduce]",value);}		
}
	}
	private String  _importGrade;
	public String importGrade{
	get{return _importGrade;}
	set{
		_importGrade=value;
		if (this.FieldsChangedDictionary.ContainsKey("[importGrade]")==false)
			{this.FieldsChangedDictionary.Add("[importGrade]",value);}		
}
	}
	private String  _code;
	public String code{
	get{return _code;}
	set{
		_code=value;
		if (this.FieldsChangedDictionary.ContainsKey("[code]")==false)
			{this.FieldsChangedDictionary.Add("[code]",value);}		
}
	}
	private DateTime  _addDateTime;
	public DateTime addDateTime{
	get{return _addDateTime;}
	set{
		_addDateTime=value;
		if (this.FieldsChangedDictionary.ContainsKey("[addDateTime]")==false)
			{this.FieldsChangedDictionary.Add("[addDateTime]",value);}		
}
	}
}

public class CodeInfoTable{
	public static readonly Field id=new Field("[id]",true);
	public static readonly Field treeLocation=new Field("[treeLocation]",false);
	public static readonly Field codeCaption=new Field("[codeCaption]",false);
	public static readonly Field useLanguage=new Field("[useLanguage]",false);
	public static readonly Field introduce=new Field("[introduce]",false);
	public static readonly Field importGrade=new Field("[importGrade]",false);
	public static readonly Field code=new Field("[code]",false);
	public static readonly Field addDateTime=new Field("[addDateTime]",false);
	static CodeInfoTable(){
		id.TableName="[CodeInfo]";
		treeLocation.TableName="[CodeInfo]";
		codeCaption.TableName="[CodeInfo]";
		useLanguage.TableName="[CodeInfo]";
		introduce.TableName="[CodeInfo]";
		importGrade.TableName="[CodeInfo]";
		code.TableName="[CodeInfo]";
		addDateTime.TableName="[CodeInfo]";
	}
}

public class tb_Priority:EntityBase{
	public tb_Priority():base(){
	SetEntityName("[tb_Priority]");
	SetFieldsCount(2);
	SetPrimaryField(tb_PriorityTable.priorityName);
	SetIsSystemSetPrimaryKey(false);
	}
	private String  _priorityName;
	public String priorityName{
	get{return _priorityName;}
	set{
		_priorityName=value;
		if (this.FieldsChangedDictionary.ContainsKey("[priorityName]")==false)
			{this.FieldsChangedDictionary.Add("[priorityName]",value);}		
}
	}
	private Boolean  _isFirstItem;
	public Boolean isFirstItem{
	get{return _isFirstItem;}
	set{
		_isFirstItem=value;
		if (this.FieldsChangedDictionary.ContainsKey("[isFirstItem]")==false)
			{this.FieldsChangedDictionary.Add("[isFirstItem]",value);}		
}
	}
}

public class tb_PriorityTable{
	public static readonly Field priorityName=new Field("[priorityName]",true);
	public static readonly Field isFirstItem=new Field("[isFirstItem]",false);
	static tb_PriorityTable(){
		priorityName.TableName="[tb_Priority]";
		isFirstItem.TableName="[tb_Priority]";
	}
}

public class tb_Languages:EntityBase{
	public tb_Languages():base(){
	SetEntityName("[tb_Languages]");
	SetFieldsCount(2);
	SetPrimaryField(tb_LanguagesTable.languageName);
	SetIsSystemSetPrimaryKey(false);
	}
	private String  _languageName;
	public String languageName{
	get{return _languageName;}
	set{
		_languageName=value;
		if (this.FieldsChangedDictionary.ContainsKey("[languageName]")==false)
			{this.FieldsChangedDictionary.Add("[languageName]",value);}		
}
	}
	private Boolean  _isFirstItem;
	public Boolean isFirstItem{
	get{return _isFirstItem;}
	set{
		_isFirstItem=value;
		if (this.FieldsChangedDictionary.ContainsKey("[isFirstItem]")==false)
			{this.FieldsChangedDictionary.Add("[isFirstItem]",value);}		
}
	}
}

public class tb_LanguagesTable{
	public static readonly Field languageName=new Field("[languageName]",true);
	public static readonly Field isFirstItem=new Field("[isFirstItem]",false);
	static tb_LanguagesTable(){
		languageName.TableName="[tb_Languages]";
		isFirstItem.TableName="[tb_Languages]";
	}
}

public class NetNameInfo:EntityBase{
	public NetNameInfo():base(){
	SetEntityName("[NetNameInfo]");
	SetFieldsCount(3);
	SetPrimaryField(NetNameInfoTable.id);
	SetIsSystemSetPrimaryKey(true);
	}
	private String  _Name;
	public String Name{
	get{return _Name;}
	set{
		_Name=value;
		if (this.FieldsChangedDictionary.ContainsKey("[Name]")==false)
			{this.FieldsChangedDictionary.Add("[Name]",value);}		
}
	}
	private String  _PassWord;
	public String PassWord{
	get{return _PassWord;}
	set{
		_PassWord=value;
		if (this.FieldsChangedDictionary.ContainsKey("[PassWord]")==false)
			{this.FieldsChangedDictionary.Add("[PassWord]",value);}		
}
	}
	private Int64  _id;
	public Int64 id{
	get{return _id;}
	set{
		_id=value;
		if (this.FieldsChangedDictionary.ContainsKey("[id]")==false)
			{this.FieldsChangedDictionary.Add("[id]",value);}		
}
	}
}

public class NetNameInfoTable{
	public static readonly Field Name=new Field("[Name]",false);
	public static readonly Field PassWord=new Field("[PassWord]",false);
	public static readonly Field id=new Field("[id]",true);
	static NetNameInfoTable(){
		Name.TableName="[NetNameInfo]";
		PassWord.TableName="[NetNameInfo]";
		id.TableName="[NetNameInfo]";
	}
}

public class Administrator:EntityBase{
	public Administrator():base(){
	SetEntityName("[Administrator]");
	SetFieldsCount(3);
	SetPrimaryField(AdministratorTable.ID);
	SetIsSystemSetPrimaryKey(true);
	}
	private String  _UserName;
	public String UserName{
	get{return _UserName;}
	set{
		_UserName=value;
		if (this.FieldsChangedDictionary.ContainsKey("[UserName]")==false)
			{this.FieldsChangedDictionary.Add("[UserName]",value);}		
}
	}
	private String  _Password;
	public String Password{
	get{return _Password;}
	set{
		_Password=value;
		if (this.FieldsChangedDictionary.ContainsKey("[Password]")==false)
			{this.FieldsChangedDictionary.Add("[Password]",value);}		
}
	}
	private Int64  _ID;
	public Int64 ID{
	get{return _ID;}
	set{
		_ID=value;
		if (this.FieldsChangedDictionary.ContainsKey("[ID]")==false)
			{this.FieldsChangedDictionary.Add("[ID]",value);}		
}
	}
}

public class AdministratorTable{
	public static readonly Field UserName=new Field("[UserName]",false);
	public static readonly Field Password=new Field("[Password]",false);
	public static readonly Field ID=new Field("[ID]",true);
	static AdministratorTable(){
		UserName.TableName="[Administrator]";
		Password.TableName="[Administrator]";
		ID.TableName="[Administrator]";
	}
}

public class TT:EntityBase{
	public TT():base(){
	SetEntityName("[TT]");
	SetFieldsCount(4);
	SetPrimaryField(TTTable.ID);
	SetIsSystemSetPrimaryKey(false);
	}
	private Int64  _ID;
	public Int64 ID{
	get{return _ID;}
	set{
		_ID=value;
		if (this.FieldsChangedDictionary.ContainsKey("[ID]")==false)
			{this.FieldsChangedDictionary.Add("[ID]",value);}		
}
	}
	private String  _Name;
	public String Name{
	get{return _Name;}
	set{
		_Name=value;
		if (this.FieldsChangedDictionary.ContainsKey("[Name]")==false)
			{this.FieldsChangedDictionary.Add("[Name]",value);}		
}
	}
	private Boolean  _IsHigh;
	public Boolean IsHigh{
	get{return _IsHigh;}
	set{
		_IsHigh=value;
		if (this.FieldsChangedDictionary.ContainsKey("[IsHigh]")==false)
			{this.FieldsChangedDictionary.Add("[IsHigh]",value);}		
}
	}
	private DateTime  _Birth;
	public DateTime Birth{
	get{return _Birth;}
	set{
		_Birth=value;
		if (this.FieldsChangedDictionary.ContainsKey("[Birth]")==false)
			{this.FieldsChangedDictionary.Add("[Birth]",value);}		
}
	}
}

public class TTTable{
	public static readonly Field ID=new Field("[ID]",true);
	public static readonly Field Name=new Field("[Name]",false);
	public static readonly Field IsHigh=new Field("[IsHigh]",false);
	public static readonly Field Birth=new Field("[Birth]",false);
	static TTTable(){
		ID.TableName="[TT]";
		Name.TableName="[TT]";
		IsHigh.TableName="[TT]";
		Birth.TableName="[TT]";
	}
}

}